package com.heyu.api.data.dao.vv;
/**
* <p>
* 结算证明与子单表的关联表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/
import com.heyu.api.data.entity.vv.VvTradeOrderLineSettlementProveEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvTradeOrderLineSettlementProveDao extends BaseMapper<VvTradeOrderLineSettlementProveEntity> {


	VvTradeOrderLineSettlementProveEntity selectVvTradeOrderLineSettlementProveById(@Param("id")Long id);


	Long insertVvTradeOrderLineSettlementProve(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve);


	Long insertOrUpdateVvTradeOrderLineSettlementProve(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve);


	int updateVvTradeOrderLineSettlementProveById(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve);


	int updateCoverVvTradeOrderLineSettlementProveById(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve);


	int deleteVvTradeOrderLineSettlementProveById(@Param("id")Long id);


}